octavia (9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:41:47 +0200

octavia (9.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix 00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 23:17:05 +0200

octavia (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed: Fix-osutils.py-to-detect-Debian.patch
  * Rebased: use-octavia-agent-lvs-masquerade-not-lvs-masquerade.sh.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 15:24:41 +0200

octavia (8.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:29:01 +0200

octavia (8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 22:23:08 +0200

octavia (8.0.0~rc1-1) experimental; urgency=medium

  * Tune octavia-api-uwsgi.ini for performance.
  * Install udp-masquerade.sh as /usr/bin/octavia-agent-udp-masquerade, and
    patch octavia to use that.
  * New usptream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.
  * Reworked use-octavia-agent-udp-masquerade-not-lvs-masquerade.sh.patch as
    use-octavia-agent-lvs-masquerade-not-lvs-masquerade.sh.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Mar 2021 00:44:10 +0100

octavia (7.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Jan 2021 11:19:12 +0100

octavia (7.0.0-7) unstable; urgency=medium

  * Rebuild source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Jan 2021 08:24:05 +0100

octavia (7.0.0-6) unstable; urgency=medium

  * Correctly install the octavia-driver-agent.service file.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 13:04:16 +0100

octavia (7.0.0-5) unstable; urgency=medium

  * Add an octavia-driver-agent package, which is needed by the OVN provider.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jan 2021 17:44:32 +0100

octavia (7.0.0-4) unstable; urgency=medium

  * octavia-agent-netns-start: add || true when adding the octavia netns, to
    make the script indempotant.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2021 16:58:44 +0100

octavia (7.0.0-3) unstable; urgency=medium

  * mv /etc/octavia/policy.json /etc/octavia/disabled.policy.json.old instead
    of deleting it.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2020 13:50:06 +0100

octavia (7.0.0-2) unstable; urgency=medium

  * Add debconf translations:
    - nl.po thanks to Frans Spiesschaert (Closes: #961430).
    - fr.po thanks to bubu (Closes: #966502).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Nov 2020 11:42:09 +0100

octavia (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 20:21:39 +0200

octavia (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switch to using yaml policy files in /etc/octavia/policy.d.
  * Remove Fix_Octavia_unit_tests_for_python_3.8.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Sep 2020 21:37:15 +0200

octavia (6.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jul 2020 12:00:14 +0200

octavia (6.0.0-3) unstable; urgency=medium

  * Add a /healthcheck URL.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jun 2020 15:35:30 +0200

octavia (6.0.0-2) unstable; urgency=medium

  * Add missing --namespace cotyledon when generating octavia.conf.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 May 2020 02:02:03 +0200

octavia (6.0.0-1) unstable; urgency=medium

  * Add initial de.po Debconf translations (Closes: #955995).
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 18:15:44 +0200

octavia (6.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 02:15:32 +0200

octavia (6.0.0~rc1-1) experimental; urgency=medium

  * Add anacron as dependency for haproxy.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add Fix_Octavia_unit_tests_for_python_3.8.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 17:28:58 +0200

octavia (5.0.1-2) unstable; urgency=medium

  * Octavia-agent: use copytruncate in logrotate, instead of trying to kill
    /var/run/amphora-agent.pid which doesn't work (the PID file doesn't
    exist).
  * Correctly install octavia-agent{,certs-ramfs,netns} services.
  * Amphorae: switch logrotate to rotate 3 and hourly, because otherwise the
    logs can fill-up /var/log on very busy proxies and a small amphorae.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Mar 2020 09:44:54 +0100

octavia (5.0.1-1) unstable; urgency=medium

  * octavia-api.postinst:
    - Set bind_host in api_settings when configuring
      through debconf
  * octavia-common.postinst:
    - Set credentials in service_auth when configuring
      through debconf
  * octavia-health-manager.{config,postinst}:
    - Set bind host,port and heartbeat_key when configuring
      through debconf
  * d/rules:
    - Do not use noop fake drivers in config file
    - Fix default domain in service_auth
    - Readd keystone_auth by pkgos tools
    - Fix oslo_messaging topic to octavia_prov
  * Add some lintian overrirdes
  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 31 Dec 2019 16:27:11 +0100

octavia (5.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 21:56:26 +0200

octavia (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:44:14 +0200

octavia (5.0.0~rc2-3) experimental; urgency=medium

  * Fix unix rights of /var/lib/octavia/ping-wrapper.sh in octavia-agent.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2019 22:32:34 +0200

octavia (5.0.0~rc2-2) experimental; urgency=medium

  * Add in the agent, so it's not needed to configure in the image:
    - /var/lib/octavia/haproxy-default-user-group.conf
    - /etc/modules-load.d/octavia-agent.conf
    - /var/lib/octavia/ping-wrapper.sh
    - /etc/sysctl.d/octavia-agent-sysctl.conf
  * Add a bunch of runtime dependencies in octavia-agent, so that we don't
    need to add it when building the image.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2019 21:11:15 +0200

octavia (5.0.0~rc2-1) experimental; urgency=medium

  * New upstream release fixing CVE-2019-17134 (Closes: #941897).

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Oct 2019 14:46:10 +0200

octavia (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless patch: hardcode-doc-path.patch.
  * Removed patch applied upstream:
    - Fix_template_that_generates_vrrp_check_script.patch
  * Add remove-sphinxcontrib.rsvgconverter-from-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Sep 2019 12:25:24 +0200

octavia (4.0.0-5) unstable; urgency=medium

  * Add Fix_template_that_generates_vrrp_check_script.patch.
  * Add debian/python3-octavia.lintian-overrides.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2019 16:34:58 +0200

octavia (4.0.0-4) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * Fix python3-yaml depends and builds depends (Closes: #934323).

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Aug 2019 21:55:44 +0200

octavia (4.0.0-3) unstable; urgency=medium

  * Fix octavia-agent binary in init/service file.
  * Add Fix-osutils.py-to-detect-Debian.patch.
  * Fixes Amphora's cert ramfs.
  * Add dh_python3 --shebang=/usr/bin/python3 call.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Jul 2019 15:16:56 +0200

octavia (4.0.0-2) experimental; urgency=medium

  * Bump openstack-pkg-tools to version 99

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 02 May 2019 16:34:00 +0200

octavia (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 10:43:07 +0200

octavia (4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-py36-compatibility.patch applied upstream.
  * Removed python3- prefix when generating config.
  * Doc patch: hardcode-doc-path.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 15:53:42 +0100

octavia (3.0.0-3) unstable; urgency=medium

  * Add an octavia-agent package.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Jan 2019 17:28:54 +0100

octavia (3.0.0-2) unstable; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 16 Dec 2018 16:30:31 +0100

octavia (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove /etc/octavia/octavia.conf on purge (Closes: #905499).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 20:09:46 +0200

octavia (3.0.0~rc3-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed applied upstream patches:
    - fix-add-local-net-to-routing-table-1.patch
    - fix-lb-status-updates.patch

  [ Michal Arbet ]
  * Add fix-py36-compatibility.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 14:09:08 +0200

octavia (2.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #901440).

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 13 Jun 2018 13:21:52 +0100
